{% extends 'Default/index.html.twig' %}

{% set ente = instance_service.getCurrentInstance() %}
{% set locales = app_locales|split('|') %}
{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_script_tags('service-manager') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('service-manager') }}
{% endblock %}

{% block main_content %}

  <section id="intro" class="container-full px-2">
    <div class="row">
      <div class="col-12 col-md-3 col-xl-2 p-0">
        <div class="nav nav-tabs nav-tabs-vertical nav-tabs-vertical-background overflow-hidden pt-4" id="nav-vertical-tab-bg" role="tablist" aria-orientation="vertical">
            {% if current_step == 'template' %}
              {% for k, v in steps %}
                <a class="py-3 nav-link {% if k != 'template' %}disabled{% endif %}" id="{{ k }}-tab" href="#">
                  {{ v.label }}
                  <i class="fa {{ v.icon }}"aria-hidden="true"></i>
                </a>
              {% endfor %}
            {% else %}
              {% for k, v in steps %}
                <a class="py-3 nav-link {% if current_step == k %}active{% endif %}" id="{{ k }}-tab" href="{{ path('admin_servizio_edit', {'id': servizio.id, 'step': k}) }}">
                  {{ v.label }}
                  <i class="fa {{ v.icon }}"aria-hidden="true"></i>
                </a>
              {% endfor %}
            {% endif %}
        </div>
      </div>

      <div class="col-12 col-md-9 col-xl-10 p-4" id="form-step-{{ current_step }}">
        <div class="row mb-4">
          <div class="col-md-12">
            <h4>
              {% if servizio.name == '' %}
                {{ 'servizio.crea'|trans() }}
              {% else %}
                {{ 'servizio.modifica'|trans({'%name%':servizio.name}) }}
              {% endif %}
               - {{ steps[current_step].label }}
            </h4>
          </div>
        </div>

        {% if steps[current_step].template is defined %}
          {{ include(steps[current_step].template) }}
        {% else %}
          {{ include('Admin/servizio/_defaultStep.html.twig') }}
        {% endif %}
      </div>
    </div>
  </section>

  <div class="modal fade" id="confirm" tabindex="-1"
       role="dialog"
       aria-labelledby="confirmAutoAssignLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-body">
          {{ 'steps.common.conferma.sei_sicuro_di_inviare'|trans }}
        </div>
        <div class="modal-footer">
          <button type="button" data-dismiss="modal"
                  class="btn">{{ 'steps.common.conferma.no'|trans }}</button>
          <button type="button" data-dismiss="modal" class="btn btn-primary"
                  id="ok">{{ 'steps.common.conferma.si'|trans }}</button>
        </div>
      </div>
    </div>
  </div>

  <div data-delay="3000" class="notification with-icon success toast hide m-3 top-right-fix" role="alert"
       aria-labelledby="notify-title" id="notify">
    <h5 id="notify-title">
      <svg class="icon">
        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check-circle"></use>
      </svg>
      {{ 'servizio.bozza_successo'|trans }}
    </h5>
  </div>
  {% verbatim %}
    <script id="tpl-form" type="text/x-jsrender">
      <div class="card card-teaser rounded shadow formio-template" data-id="{{:id}}" id="{{:id}}">
        <div class="card-body">
          <h5 class="card-title">{{:title}}</h5>
          <p class="card-text">{{:description}}</p>
        </div>
      </div>
    </script>

    <script id="tpl-empty" type="text/x-jsrender">
      <div class="col-lg-12 alert alert-warning"><p>
  {% endverbatim %}
      {{ 'servizio.nessun_template'|trans }}
  {% verbatim %}
        </p></div>
    </script>
  {% endverbatim %}

{% endblock %}
